al_load_ttf_font_f(3)

NAME

al_load_ttf_font_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_ttf.h>
    ALLEGRO_FONT *al_load_ttf_font_f(ALLEGRO_FILE *file,
        char const *filename, int size, int flags)

DESCRIPTION

Like al_load_ttf_font(3), but the font is read from the file handle. The filename is only used to find possible additional files next to a font file.

    Note: The file handle is owned by the returned ALLEGRO_FONT object and must not be freed by the caller, as FreeType expects to be able to read from it at a later time.